## python-hglib 2.6.1

=== Makefile ===
PYTHON=python
help:
	@echo 'Commonly used make targets:'
	@echo '  tests - run all tests in the automatic test suite'

all: help

.PHONY: tests dist all help

MANIFEST.in:
	hg manifest | sed -e 's/^/include /' > MANIFEST.in

dist: MANIFEST.in
	TAR_OPTIONS="--owner=root --group=root --mode=u+w,go-w,a+rX-s" $(PYTHON) setup.py -q sdist

tests:
	$(PYTHON) test.py --with-doctest

=== debian/changelog ===
python-hglib (2.6.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937808
  * debian/patches
    - add upstream fixes for mercurial 5.2 compatibility (tests)
    - switch to 3.0 (quilt) source format

 -- Sandro Tosi <morph@debian.org>  Tue, 31 Dec 2019 17:55:13 -0500

python-hglib (2.6.1-1) unstable; urgency=medium

  * New upstream release
  * Add Augie Fackler's key to d/u/signing-key.asc.
  * Drop Vcs-* control field now alioth is gone.
  * Drop old X-Python*-Version control fields.

 -- Julien Cristau <jcristau@debian.org>  Wed, 21 Nov 2018 16:25:54 +0100

python-hglib (2.2-1) unstable; urgency=medium

  * New upstream release
    + drop fix-tests-for-hg-3.7.diff, merged upstream
  * Update Maintainer, Homepage, Vcs-* control fields.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Julien Cristau <jcristau@debian.org>  Fri, 29 Jul 2016 17:41:03 +0200

python-hglib (2.0-1) unstable; urgency=medium

  * New upstream release
    + fix commit with current mercurial
  * Add patch to fix test-merge with current hg
  * This all fixes FTBFS and thus closes: #814586

 -- Julien Cristau <jcristau@debian.org>  Fri, 26 Feb 2016 17:54:30 +0100

python-hglib (1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Thu, 12 Nov 2015 16:26:48 +0100

python-hglib (1.7-1) unstable; urgency=medium

  * New upstream release
    + fix version in egg-info (closes: #794017)
  * Update tests for mercurial 3.5 (closes: #797287)

 -- Julien Cristau <jcristau@debian.org>  Tue, 01 Sep 2015 12:25:21 +0200

python-hglib (1.6-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to use https://pypi.python.org/simple.
  * Build a python3-hglib package.

 -- Julien Cristau <jcristau@debian.org>  Sat, 25 Apr 2015 09:29:09 +0200

python-hglib (1.4-1) unstable; urgency=medium

  * Let uscan verify tarball signatures.
  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Sun, 05 Oct 2014 21:59:18 +0200

python-hglib (1.3-2) unstable; urgency=medium

  * Switch from python-support to dh_python2.

 -- Julien Cristau <jcristau@debian.org>  Fri, 26 Sep 2014 11:14:08 +0200

python-hglib (1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Fri, 26 Sep 2014 10:48:01 +0200

python-hglib (1.2-2) unstable; urgency=medium

  * Fix FTBFS with make 4 (closes: #750230)

 -- Julien Cristau <jcristau@debian.org>  Tue, 17 Jun 2014 09:59:56 +0200

python-hglib (1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Tue, 11 Feb 2014 10:59:46 +0100

python-hglib (1.0-1) unstable; urgency=medium

  * New upstream release
    - fixes tests (closes: #713093)

 -- Julien Cristau <jcristau@debian.org>  Fri, 24 Jan 2014 14:16:38 +0100

python-hglib (0.9-1) unstable; urgency=low

  * New upstream release.
  * Change Vcs-* control fields.
  * Build-Depend on python-all instead of python.

 -- Julien Cristau <julien.cristau@logilab.fr>  Wed, 08 May 2013 15:47:24 +0200

python-hglib (0.3-1) unstable; urgency=low

  * Initial release. (Closes: #693879)

 -- Julien Cristau <julien.cristau@logilab.fr>  Thu, 22 Nov 2012 11:36:07 +0100

=== debian/control ===
Source: python-hglib
Section: vcs
Priority: optional
Maintainer: Julien Cristau <jcristau@debian.org>
Build-Depends:
 debhelper (>= 7.0.50),
 dh-python,
 python3-all,
 python3-nose,
 mercurial (>= 1.9),
Standards-Version: 3.9.8
Homepage: https://www.mercurial-scm.org/wiki/PythonHglib

Package: python3-hglib
Architecture: all
Depends:
 mercurial (>= 1.9),
 ${python3:Depends},
 ${misc:Depends},
Description: Python3 library for interfacing with Mercurial's command server
 python3-hglib is a library with a fast, convenient interface to Mercurial.
 It uses Mercurial's command server for communication with hg.  This approach
 avoids relying on Mercurial's (unstable) internal Python API, and avoids
 licensing issues for non-GPL code.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python3 --buildsystem=pybuild $@

build:
	dh --with python3 --buildsystem=pybuild $@

test_%:
	$(MAKE) tests PYTHON=$*

override_dh_auto_test: $(foreach ver, $(shell py3versions -r), test_$(ver))

.PHONY: build

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/python-hglib/python-hglib-(.*).tar.gz
